%global debug_package %{nil}

Name:           ublue-recipes
Version:        0.1.1
Release:        1.20250319165736740001.pr293.16.g6ca35ca%{?dist}
Summary:        Shared Ujust recipes

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#6ca35caf8b4b2194d38de2ee03965cd55d2a85c5:packages/ublue-recipes
Source:         packages-0.1.1.tar.gz

Recommends:     glow
Recommends:     gum
Requires:       ublue-os-just

%description
Shared ujust recipes for Universal Blue systems

%prep
%setup -T -b 0 -q -n packages-0.1.1

%build
for file in src/recipes/*.just ; do
	cat <<EOF >> recipes.just

########################
### $(basename $file)
########################

EOF
	cat $file >> recipes.just
done

%install
install -Dm0644 -t %{buildroot}/%{_datadir}/ublue-os/recipes recipes.just

# Breaks the build on te CentOS default chroot on COPR, we need to enable EPEL
# %check
# just --unstable --fmt --check -f recipes.just

%files
%{_datadir}/ublue-os/recipes/recipes.just

%changelog
%autochangelog
